Page MenuHomePhabricator

README.md mentions $gcwikis but the code doesn't
Closed, ResolvedPublic

Description

Basically the README.md file has a lie -- $gcwikis isn't used in the code, $wgConf->wikis is.

Also mentioning the extension's hooks in the readme is advised. :)

Event Timeline

labster created this task.Nov 14 2016, 5:27 AM
SamanthaNguyen moved this task from Backlog to Bugs on the GlobalContribs board.Dec 11 2016, 12:58 AM

Change 354883 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/GlobalContribs@master] Remove outdated README.md in favor of documentation at mediawiki.org

https://gerrit.wikimedia.org/r/354883

Change 354883 merged by jenkins-bot:
[mediawiki/extensions/GlobalContribs@master] Remove outdated README.md in favor of documentation at mediawiki.org

https://gerrit.wikimedia.org/r/354883

SamanthaNguyen closed this task as Resolved.May 21 2017, 2:30 AM
SamanthaNguyen claimed this task.
SamanthaNguyen edited subscribers, added: SamanthaNguyen; removed: gerritbot.

Hooks can be updated by using the hooks parameters provided by the [[https://www.mediawiki.org/wiki/Template:Extension|{{extension}}]] template used on https://www.mediawiki.org/wiki/Extension:GlobalContribs

Huh. I didn't expect when I wrote this ticket that it would be resolved by deleting all the documentation. Thanks, I guess?